<bugID>951624<Summary>Breakdown: Show the action that will be triggered when pressing enter in a pre-selected dropdown entry</Summary><Description>Created attachment 8349353
Wireframe

The awesomebar list should always include one item at the top that is selected (highlighted) while typing and shows action that is going to happen when pressing enter.
This will not only make the behavior of the awesomebar more transparent, it will also help people discover that you can actually search from that bar as well.</Description></bugID>